-- $Name:Am I a monster?$
-- $Version:1.01$
-- $Author:NLB project$
instead_version "1.9.1"

require "modules/cutscene"
require "modules/fonts"
require "theme"
require "kbd"
require "quotes"
require "prefs"
require "timer"

game.codepage="UTF-8"

prefs.skipintro = false;

function init()
    hook_keys('space', 'backspace', 'return', 'escape');
    s1 = font('sans-b.ttf', 60);
    s2 = font('sans.ttf', 55);    
    theme.gfx.bg('box:1024x768,black');    
end

game.kbd = function(s, down, key)
    if down then
        walk(r3);
    end 
end

main = room {
    nam = "main",
    enter = function (s)
        set_music('sound/cloudjumper_-_cloudjumper_-_a_full_mind.mp3', 0);
        if (prefs.skipintro) then
            walk(r3);
        else
            theme.inv.mode('disabled');
            theme.win.geom(162, 84, 700, 500);
            walk(r1);
        end;
    end
} 

r1 = cutscene {
    nam = true,
    dsc = function(s)
        pn ""
        pn ""
        pn ""
        pn ""
        pn (txtc(img('images/init/NLBLogo.png')))
        pn "{fading 50}"
        pn "{cls}"
        pn "{fading 50}"
        pn ("{walk r2}")
    end
}

r2 = cutscene {
    nam = true,
    dsc = function(s)
        pn ""
        pn ""
        pn ""
        pn ""
        pn ""
        pn (txtc(img('images/init/presents.png')))
        pn "{fading 25}"
        pn "{cls}"
        pn "{fading 50}"
        pn ("{walk r3}")
    end
}

versionobj = stat {
    nam = "versionobj",
    disp = "v. 1.0"
}

r3 = room {
    forcedsc = true,
    dsc = function(s)
        --startgametxt_en = s2:txt "Start English version";
        --startgametxt_ru = s2:txt "Start Russian version";
        pn (txtc(gamename));
        p(txtc("^{start_game_en|"..startgametxt_en.."}^"));
        p(txtc("^{start_game_ru|"..startgametxt_ru.."}^"));
        p(txtc("^{toggle_menu|"..toggle_menu.."}^"));
        p(txtc("^{view_intro|"..viewintrotxt.."}^"));
        p(txtc("^{credits|"..creditstxt.."}^"));
    end,
    nam = ' ',
    entered = function(s)
        unhook_keys('space', 'backspace', 'return', 'escape');
        theme.win.color("#ffffff", "#00ff00", gold);
        theme.win.geom(0, 150, 512, 418);
        theme.inv.geom(0, 734, 700, 34);
        theme.gfx.bg('images/another_werewolf.jpg');
        theme.inv.mode('horizontal-left');
        prefs.skipintro = true;
        prefs:store();
        inv():zap();
        take(versionobj);
        timer:set(30);
        s:timer();
    end,
    timer = function(s)
        if (LANG == "ru") then
            gamename = s1:txt "Я монстр?";
            startgametxt_en = "Запустить английскую версию";
            startgametxt_ru = "Запустить русскую версию";
            toggle_menu = "Настройки игры";
            viewintrotxt = "Посмотреть вступление";
            creditstxt = "Благодарности";
        else
            gamename = s1:txt "Am I a monster?";
            startgametxt_en = "Start English version";
            startgametxt_ru = "Start Russian version";
            toggle_menu = "Game preferences";
            viewintrotxt = "View Intro";
            creditstxt = "Show Credits";
        end;
        return true;
    end,
    left = function(s)
        inv():zap();
        timer:stop();
    end,
    obj =  {
        xact(
            "start_game_en",
            function(s)
                ---theme.menu.gfx.button('images/init/menubtn.png', 1000, 744);
                theme.win.reset();
                theme.inv.reset();                
                gamefile('module_en.lua', true);
            end
        ),
        xact(
            "start_game_ru",
            function(s)
                ---theme.menu.gfx.button('images/init/menubtn.png', 1000, 744);
                theme.win.reset();
                theme.inv.reset();
                gamefile('module_ru.lua', true);
            end
        ),
        xact(
            "toggle_menu",
            function(s)
                stead.menu_toggle();
            end
        ),
        xact(
            "view_intro",
            function(s)
                init();
                prefs.skipintro = false;
                walk(main);
            end
        ),
        xact(
            "credits",
            function(s)
                walk(creditsr);
            end
        )
    }
} 

creditsr = room {
    nam = "Credits",
    way = {vroom('Back', 'r3')},
    dsc = function(s) 
    pn(s1:txt "Cover image"); pn [[
najmulosmani^
http://najmulosmani.deviantart.com/art/Another-werewolf-307918651^
]];
pn(s1:txt "Text"); pn [[
By NLB project team.^
Special thanks for English text proofreading: Christine Ewert.^
]];
pn(s1:txt "Music"); pn [[
CLOUDJUMPER: A full mind (https://www.jamendo.com/album/136651/a-full-mind)^
IN LIMBO [ROCK PROG]: Reminiscences ^(https://www.jamendo.com/track/1080505/reminiscences)^
LUKHASH: Failure (https://www.jamendo.com/track/434107/failure-lukhash-com)^
SMILING CYNIC: Beat me (https://www.jamendo.com/track/1098237/beat-me)^
]];
    end,
    entered = function(s)
        hook_keys('space', 'backspace', 'return', 'escape');
        theme.win.geom(60, 60, 964, 684);
        theme.gfx.bg('box:1024x768,black');
    end,
}